Package org.jcsp.net

# Interface NetSharedChannelInput

All Superinterfaces:
  `ChannelInput`, `NetChannelInput`, `Networked`, `Poisonable`, `SharedChannelInput`

public interface NetSharedChannelInput extends SharedChannelInput, NetChannelInput
This interface should be implemented by classes that wish to act as `NetChannelInput` objects which can be used by muliple concurrent processes.

Author:
  Quickstone Technologies Limited

## Method Summary

### Methods inherited from interface org.jcsp.lang.ChannelInput

`endRead, read, startRead`

### Methods inherited from interface org.jcsp.net.NetChannelInput

`destroyReader, getFactoryClass`

### Methods inherited from interface org.jcsp.net.Networked

`getChannelLocation`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`